TransformerConfigurationException (Java SE 25 & JDK 25)
Description: declaration: module: java.xml, package: javax.xml.transform, class: TransformerConfigurationException
Keywords: javax.xml.transform.TransformerConfigurationException class

# Class TransformerConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.transform.TransformerException
javax.xml.transform.TransformerConfigurationException

All Implemented Interfaces:
  `Serializable`

public class TransformerConfigurationException extends TransformerException
Indicates a serious configuration error.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransformerConfigurationException()`
  Create a new `TransformerConfigurationException` with no detail message.
  `TransformerConfigurationException(String msg)`
  Create a new `TransformerConfigurationException` with the `String` specified as an error message.
  `TransformerConfigurationException(String msg, Throwable e)`
  Create a new `TransformerConfigurationException` with the given `Exception` base cause and detail message.
  `TransformerConfigurationException(String message, SourceLocator locator)`
  Create a new TransformerConfigurationException from a message and a Locator.
  `TransformerConfigurationException(String message, SourceLocator locator, Throwable e)`
  Wrap an existing exception in a TransformerConfigurationException.
  `TransformerConfigurationException(Throwable e)`
  Create a new `TransformerConfigurationException` with a given `Exception` base cause of the error.

- ## Method Summary

  ### Methods declared in class TransformerException

  `getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TransformerConfigurationException

    public TransformerConfigurationException()
    Create a new `TransformerConfigurationException` with no detail message.

  - ### TransformerConfigurationException

    public TransformerConfigurationException(String msg)
    Create a new `TransformerConfigurationException` with the `String` specified as an error message.
    Parameters:
      `msg` - The error message for the exception.

  - ### TransformerConfigurationException

    public TransformerConfigurationException(Throwable e)
    Create a new `TransformerConfigurationException` with a given `Exception` base cause of the error.
    Parameters:
      `e` - The exception to be encapsulated in a TransformerConfigurationException.

  - ### TransformerConfigurationException

    public TransformerConfigurationException(String msg, Throwable e)
    Create a new `TransformerConfigurationException` with the given `Exception` base cause and detail message.
    Parameters:
      `msg` - The detail message.
      `e` - The exception to be encapsulated in a TransformerConfigurationException

  - ### TransformerConfigurationException

    public TransformerConfigurationException(String message, SourceLocator locator)
    Create a new TransformerConfigurationException from a message and a Locator.

    This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback.

    Parameters:
      `message` - The error or warning message.
      `locator` - The locator object for the error or warning.

  - ### TransformerConfigurationException

    public TransformerConfigurationException(String message, SourceLocator locator, Throwable e)
    Wrap an existing exception in a TransformerConfigurationException.
    Parameters:
      `message` - The error or warning message, or null to use the message from the embedded exception.
      `locator` - The locator object for the error or warning.
      `e` - Any exception.